#
# spec file for package python-cloudkittyclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-cloudkittyclient
Version:        2.1.0
Release:        2.4
Summary:        Python API for OpenStack Cloudkitty
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/python-cloudkittyclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-cloudkittyclient/python-cloudkittyclient-2.1.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python2-PrettyTable
BuildRequires:  python2-cliff
BuildRequires:  python2-fixtures
BuildRequires:  python2-keystoneclient
BuildRequires:  python2-mock
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.log
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-python-subunit
BuildRequires:  python2-setuptools
BuildRequires:  python2-stestr
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python3-PrettyTable
BuildRequires:  python3-cliff
BuildRequires:  python3-fixtures
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-mock
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.log
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-python-subunit
BuildRequires:  python3-setuptools
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-cliff
Requires:       python-keystoneclient
Requires:       python-openstackclient
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-six
Requires:       python-stevedore
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
This is a client library for CloudKitty built on the CloudKitty API.
It provides a Python API (the cloudkittyclient module).

%package -n python-cloudkittyclient-doc
Summary:        Documentation for OpenStack Cloudkitty API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-cloudkittyclient-doc
This is a client library for CloudKitty built on the CloudKitty API.
It provides a Python API (the cloudkittyclient module).
This package contains the documentation.

%prep
%autosetup -p1 -n python-cloudkittyclient-2.1.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# Build HTML docs and man page
PBR_VERSION=2.1.0 PYTHONPATH=. sphinx-build -b html doc/source doc/build/html
# remove the Sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/cloudkitty

%post
%python_install_alternative cloudkitty

%postun
%python_uninstall_alternative cloudkitty

%check
%python_exec -m stestr.cli run

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/cloudkittyclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/cloudkitty

%files -n python-cloudkittyclient-doc
%doc doc/build/html
%license LICENSE

%changelog
